Subject: RE: (ngtrans) 6to4 gateway / 6to4 relay router IPv4-compatible IPv6 address interoperability concern ...

From: "Christian Huitema" <[email-masked]>
Date: Mon, 11 Jun 2001 14:38:02 -0700

Can't we use a subnet anycast address, i.e. 2002:ip:v4::, for most test
purposes?

> -----Original Message-----
> From: Alain Durand [mailto:[email-masked]]
> Sent: Monday, June 11, 2001 2:34 PM
> To: Dave Thaler; Brian E Carpenter
> Cc: [email-masked]
> Subject: RE: (ngtrans) 6to4 gateway / 6to4 relay router
IPv4-compatible
> IPv6 address interoperability concern ...
> 
> At 12:31 PM 6/11/2001 -0700, Dave Thaler wrote:
> >Brian Carpenter wrote:
> > > Would it be useful to specify how the interface ID is formed?
> >
> >I don't think it's necessary, no.
> >
> >Would it be useful even if it isn't necessary?  I don't know.
> >It might make debugging marginally easier, but I don't think
> >it really makes much difference.
> >
> >Also, Section 3.1 (which only talks about link-locals) refers
> >to RFC 2893 section 3.7, which does specify how the interface
> >ID is formed.  So in some sense the 6to4 RFC does tell how the
> >router should generate an interface ID, although one could
> >argue the current language doesn't apply to global addresses.
> 
> This get us back to the discussion we had in Minneapolis.
> We need a way to identify a 6to4 router by it's IPv6 address.
> We already have the beginning of the prefix 2002:ip:v4::/48
> and a proposal for the 64 bit token based on the link local
> address. What is missing is how to form a subnet ID.
> 
>          - Alain.

---

From: "Dave Thaler" <[email-masked]>
Date: Mon, 11 Jun 2001 15:10:54 -0700

> address. What is missing is how to form a subnet ID.

I won't disagree with that.

However, I'm curious as to what the "need" you mention is,
since I'm not aware of anything that requires (as opposed to
a "nice to have") knowing the IPv6 address of a router.
You typically don't know the IPv6 address of a native router
in someone else's site do you?  Or are you saying you need
to know that too (in which case this should be an ipng
discussion, not an ngtrans discussion)?

-Dave

---

From: Alain Durand <[email-masked]>
Date: Tue, 12 Jun 2001 11:24:14 -0700

>discussion, not an ngtrans discussion)?

There are at least 3 "things" that are looking for a solution
somewhere in that space, that is, sending IPv6 packets to
a "border" IPv4/IPv6 gateway.
- pinging a 6to4 relay router
- BGP tunnel
- 6to4/DSTM

Sure, they do not "require" anything per se, but it seems to me that
if 3 different things are looking for something similar, there might be
a "need" for a solution in that space.

However, maybe the solution is somewhere else... isatap maybe?

         - Alain